MethodSnippet (Java SE 9 & JDK 9 )
Keywords: jdk.jshell.MethodSnippet class

Module jdk.jshell
Package jdk.jshell

## Class MethodSnippet

- java.lang.Object
- - jdk.jshell.Snippet
  - - jdk.jshell.PersistentSnippet
    - - jdk.jshell.DeclarationSnippet
      - - jdk.jshell.MethodSnippet

-     public class MethodSnippet
      extends DeclarationSnippet

  Snippet for a method definition. The Kind is `Snippet.Kind.METHOD`.

  `MethodSnippet` is immutable: an access to any of its methods will always return the same result. and thus is thread-safe.

  Since:
    9
  See The Java™ Language Specification:
    8.4: MethodDeclaration.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class jdk.jshell.Snippet

      `Snippet.Kind, Snippet.Status, Snippet.SubKind`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `parameterTypes​()` | A String representation of the parameter types of the method.
    `String` | `signature​()` | The full type signature of the method, including return type.
    `String` | `toString​()` | Returns a string representation of the object.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from class jdk.jshell.PersistentSnippet

      `name`

    - ### Methods inherited from class jdk.jshell.Snippet

      `id, kind, source, subKind`

- - ### Method Detail

    - #### parameterTypes

          public String parameterTypes​()

      A String representation of the parameter types of the method.
      Returns:
        a comma separated list of user entered parameter types for the method.

    - #### signature

          public String signature​()

      The full type signature of the method, including return type.
      Returns:
        A String representation of the parameter and return types

    - #### toString

          public String toString​()

      Description copied from class: `Object`
      Returns a string representation of the object. In general, the `toString` method returns a string that "textually represents" this object. The result should be a concise but informative representation that is easy for a person to read. It is recommended that all subclasses override this method.

      The `toString` method for class `Object` returns a string consisting of the name of the class of which the object is an instance, the at-sign character ``@`', and the unsigned hexadecimal representation of the hash code of the object. In other words, this method returns a string equal to the value of:

      >      getClass().getName() + '@' + Integer.toHexString(hashCode())

      Overrides:
        `toString` in class `Snippet`
      Returns:
        a string representation of the object.